!function (window, document, _undefined)
{
	"use strict";

	if (typeof XF.on === 'function')
	{
		XF.on(document, 'xf:page-load-complete', setupInterval);
	}
	else
	{
		$(document).on('xf:page-load-complete', setupInterval);
	}

	function setupInterval()
	{
		setInterval(function ()
		{
			XF.ajax('get', XF.canonicalizeUrl('index.php?alerts-auto-refresh'), {}, data =>
			{
				if (!data.visitor || data.status !== 'ok')
				{
					return;
				}

				XF.updateVisitorCounts(data.visitor, true);
			}, { global: false, skipError: true });
		}, XF.config.ozzmodz_aar_seconds * 1000)
	}
}
(window, document)
